@import '../utilities/mixins';
@import './variables';

/* Base Styles */
body {
  font: 1.2vw map-get($font-families, primary);
  font-weight: 300;
  line-height: 1.5em;
  overflow-x: hidden;
  margin: 0;
  color: map-get($theme, dark);
  background: #f8f9fa;
  position: relative;

  @media (max-width: 768px) {
    font-size: 4.2vw;
  }
}

h1,
h2 {
  font-weight: bold;
}

h3 {
  font-weight: 700;
}

h4,
h5,
h6 {
  font-weight: 400;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: map-get($font-families, primary);
}

p,
a,
button {
  font: 16px map-get($font-families, primary);
}

p {
  line-height: 20px !important;
}

// Custom Scrollbar
::-webkit-scrollbar {
  width: 6px;
  height: 6px;
  background-color: transparent;

  &-track {
    border-radius: 0;
    background-color: transparent;
  }

  &-thumb {
    border-radius: 6px;
    background-color: #d2d3d4;
  }
}

/**
 * Get rid of the border when the src is empty or there is no src just use this style. (Image issue in mozilla browser)
 * @ref - https://stackoverflow.com/questions/6013071/removing-the-image-border-in-chrome-ie9#:~:text=The%20thin%20border%20that%20appears%20when%20there%20is%20no%20src,the%20space%20that%20you%20defined.&text=Use%20a%20instead%20of,really%20isn't%20being%20used)
 */
img[src=''], img:not([src]) {
  opacity:0;
}

/** Tags styles */
.tag {
  background-color: #D6F0FF;
  padding: 1px 3px;
  color: #44719B;
  font-family: Lato, sans-serif;
  font-size: 16px;
  margin: 0 2px;
  font-weight: normal;
  font-style: normal;
}
